##1 TDD:
- hamcrest explanation
- assertj explanation

- Stack ttd example
- University tdd example with hamcrest and assertj

##2 Collection api:

- collection api hierarchy (List, Set, Map, Queue)

- props and cons of each of them
- Detail of ArrayList and LinkedList
- Basic about Generics (typed form of dynamic polymorphism)
